// SPDX-FileCopyrightText: 2023 KylinSoft Co., Ltd.
//
// SPDX-License-Identifier: GPL-1.0-or-later

#ifndef _UTIL_LOGGER_H_
#define _UTIL_LOGGER_H_

#include <stdbool.h>

#include <kywc/log.h>

void logger_init(enum kywc_log_level level, const char *file, bool realtime);

void logger_set_level(enum kywc_log_level level);

void logger_set_rate_limit(unsigned interval, unsigned burst);

void logger_finish(void);

#endif /* _LOGGER_H_ */
